Skip to main content
POST
/
v1
/
agents
/
{id}
/
trainings
Criar treinamento
curl --request POST \
  --url https://api.timelyai.com.br/v1/agents/{id}/trainings \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "type": "text",
  "content": "<string>",
  "file_url": "<string>",
  "name": "<string>"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "text",
    "content": "<string>",
    "file_name": "<string>",
    "file_size": 123,
    "status": "processing",
    "error_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

Chave de API para autenticação. Obtenha sua chave em https://app.timelyai.com.br/developers

Path Parameters

id
string<uuid>
required

ID único do recurso (UUID)

Body

application/json
type
enum<string>
required

Tipo do treinamento

Available options:
text,
url,
file
content
string

Conteúdo do treinamento (obrigatório para tipo text e url)

file_url
string

URL do arquivo para upload (apenas para tipo file)

name
string

Nome identificador do treinamento

Maximum string length: 255

Response

Treinamento criado

data
object